<div class="loader-container" *ngIf="loaderService.isLoading | async">
  <img src="assets/img/gif/loader.gif" alt="this slowpoke moves" width="250" />
</div>
<div class="app-body" style="margin-top: 280px" *ngIf="showForm">
  <main class="main d-flex align-items-center">
    <div class="container">
      <div class="row">
        <div class="col-md-8 mx-auto">
          <div class="card-group">
            <div class="card p-4">
              <div class="card-body">
                <form [formGroup]="formGroup" (ngSubmit)="loginProcess()">
                  <div class="alert alert-danger" *ngIf="error">
                    {{ error }}
                  </div>
                  <h1>Login</h1>
                  <p class="text-muted">Connectez-vous à votre compte.</p>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text"
                        ><i class="icon-user"></i
                      ></span>
                    </div>
                    <input
                      formControlName="username"
                      type="text"
                      class="form-control"
                      placeholder="Username"
                      autocomplete="username"
                      required
                    />
                  </div>
                  <div class="input-group mb-4">
                    <div class="input-group-prepend">
                      <span class="input-group-text"
                        ><i class="icon-lock"></i
                      ></span>
                    </div>
                    <input
                      formControlName="password"
                      type="password"
                      class="form-control"
                      placeholder="Password"
                      autocomplete="current-password"
                      required
                    />
                  </div>
                  <div class="row">
                    <div class="col-6">
                      <button type="submit" class="btn btn-success px-4">
                        Connexion
                      </button>
                    </div>
                    <div class="col-6 text-right">
                      <button
                        type="button"
                        class="btn btn-link px-0"
                        style="color: rgb(25, 168, 25)"
                      >
                        Mot de passe oublié?
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
            <div
              class="card text-white bg-success py-5 d-md-down-none"
              style="width: 44%"
            >
              <div>
                <div>
                  <img
                    src="assets/img/photo/large.jpg"
                    alt="this slowpoke moves"
                    width="320"
                    style="
                      opacity: 0.9;
                      margin-left: 8px;
                      margin-top: -39px;
                      margin-bottom: -40px;
                      height: 320px;
                      box-shadow: 3px 3px 5px #292828;
                    "
                  />
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</div>
